#! /bin/bash

ROOT_PATH=/usr/share/bili_tools
IO_PATH=$ROOT_PATH/io
SCHED_PATH=$ROOT_PATH/sched
MM_PATH=$ROOT_PATH/mm

opt=$@
SUBSYS=$1

usage()
{
    echo "Usage: $0 \$subsys \$ARGS"
    echo "The following are all subsystems:"
    echo -e "  io\t\tget info from io subsystem"
    echo -e "  mm\t\tget info from memory subsystem"
    echo -e "  sched\t\tget info from scheduler subsystem"
}

do_io_cmd()
{
    $IO_PATH/iostat_kernel.py $opt
}

do_sched_cmd()
{
    $SCHED_PATH/sched_test $opt
}

do_mm_cmd()
{
    $MM_PATH/mem_bilitools $opt
}

if [ $# -lt 1 ];then
    usage
    exit 1
fi

case "$SUBSYS" in
    io)
        opt=${opt:2}
        do_io_cmd
        ;;
    mm)
        opt=${opt:2}
        do_mm_cmd
        ;;
    sched)
        opt=${opt:5}
        do_sched_cmd
        ;;
    *)
        echo "Unknown subsystem"
        usage
        exit 1
        ;;
esac

exit 0
